tvbrowser.core

## Class ChannelUserSettings

- java.lang.Object
- - tvbrowser.core.ChannelUserSettings

-     public class ChannelUserSettings
      extends java.lang.Object

  The ChannelUserSettings class holds all information of channel properties which can be changed by the user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelUserSettings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChannelName()`
    `int` | `getEndTimeLimit()` Gets the end time limit in minutes of day.
    `java.lang.String` | `getIconFileName()`
    `static ChannelUserSettings` | `getSettings(Channel ch)`
    `java.lang.String` | `getSortNumber()` Gets the sort number of this channel.
    `int` | `getStartTimeLimit()` Gets the start time limit in minutes of day.
    `int` | `getTimeZoneCorrectionMinutes()`
    `java.lang.String` | `getWebPage()`
    `boolean` | `isTimeLimited()` Gets if the start and end time limit should be used.
    `void` | `setChannelName(java.lang.String channelName)`
    `void` | `setEndTimeLimit(int endTimeLimit)` Sets the end time limit to the new value.
    `void` | `setIconFileName(java.lang.String iconFileName)`
    `void` | `setSortNumber(java.lang.String number)` Sets the sort number of this channel to the given value.
    `void` | `setStartTimeLimit(int startTimeLimit)` Sets the start time limit to the new value.
    `void` | `setTimeZoneCorrectionMinutes(int offset)`
    `void` | `setWebPage(java.lang.String webpage)`
    `boolean` | `useUserIconFile()`
    `void` | `useUserIconFile(boolean b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelUserSettings

          public ChannelUserSettings()

  - ### Method Detail

    - #### getSettings

          public static ChannelUserSettings getSettings(Channel ch)

    - #### setTimeZoneCorrectionMinutes

          public void setTimeZoneCorrectionMinutes(int offset)

    - #### setChannelName

          public void setChannelName(java.lang.String channelName)

    - #### setIconFileName

          public void setIconFileName(java.lang.String iconFileName)

    - #### useUserIconFile

          public void useUserIconFile(boolean b)

    - #### getTimeZoneCorrectionMinutes

          public int getTimeZoneCorrectionMinutes()

    - #### getChannelName

          public java.lang.String getChannelName()

    - #### getIconFileName

          public java.lang.String getIconFileName()

    - #### useUserIconFile

          public boolean useUserIconFile()

    - #### getWebPage

          public java.lang.String getWebPage()

    - #### setWebPage

          public void setWebPage(java.lang.String webpage)

    - #### getStartTimeLimit

          public int getStartTimeLimit()

      Gets the start time limit in minutes of day. This is used to exclude programs from the day program that starts before the start time limit.
      Returns:
        The start time limit in minutes of day.
      Since:
        2.2.4/2.6

    - #### setStartTimeLimit

          public void setStartTimeLimit(int startTimeLimit)

      Sets the start time limit to the new value.
      Parameters:
        `startTimeLimit` - The new value for start time limit in minutes of day.
      Since:
        2.2.4/2.6

    - #### getEndTimeLimit

          public int getEndTimeLimit()

      Gets the end time limit in minutes of day. This is used to exclude programs from the day program that starts after the end time limit.
      Returns:
        The start time limit in minutes of day.
      Since:
        2.2.4/2.6

    - #### setEndTimeLimit

          public void setEndTimeLimit(int endTimeLimit)

      Sets the end time limit to the new value.
      Parameters:
        `endTimeLimit` - The new value for end time limit in minutes of day.
      Since:
        2.2.4/2.6

    - #### isTimeLimited

          public boolean isTimeLimited()

      Gets if the start and end time limit should be used.
      Returns:
        `True` if the time limit is used, `false` otherwise.
      Since:
        2.2.4/2.6

    - #### getSortNumber

          public java.lang.String getSortNumber()

      Gets the sort number of this channel.
      Returns:
        The sort number of this channel.

    - #### setSortNumber

          public void setSortNumber(java.lang.String number)

      Sets the sort number of this channel to the given value.

      Parameters:
        `number` - The sort number for this channel or `null` if channel has no sort number.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)